<?php
  get_header();
  $description = category_description();
?>

<div class="snx-util-rhythm-xl">
  <?php
    if (!empty($description)): 
  ?>
    <section class="snx-page-section">
      <div class="snx-page-section__header">
        <h2 class="snx-page-section__headline"><?php echo single_cat_title(); ?></h2>
      </div>
      
      <div class="snx-page-section__body">
        <div class="snx-landing-page__block snx-block_rich_text">
          <div class="snx-block-snx-rich-text ">
            <div class="snx-rich-text snx-rich-text--is-block">
              <p><?php echo $description; ?></p>
            </div>
          </div>
        </div>
      </div>
      
    </section>
  <?php endif; ?>

  <section class="snx-page-section">

    <?php if (empty($description)): ?>
      <div class="snx-page-section__header">
        <h2 class="snx-page-section__headline"><?php echo single_cat_title(); ?></h2>
      </div>
    <?php endif; ?>

    <div class="snx-page-section__body">
      <div class="snx-element-listing snx-element-listing--col-1">

        <?php while ( have_posts() ) : the_post(); // standard WordPress loop. ?>
          <div class="snx-teaser-informal snx-teaser-informal--is-block">
            <?php
              $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '293x195' );

              if (!empty($image)):
            ?>
              <a href="#" class="snx-teaser-informal__image-container">
                <picture>
                  <img src="<?php echo $image[0]; ?>" />
                </picture>
              </a>
            <?php endif; ?>
            <div class="snx-teaser-informal__body">
              <div class="snx-font-size-small snx-spacer--mb-15"><?php echo get_the_date(); ?></div>
              <h4 class="snx-teaser-informal__heading">
                <a href="<?php the_permalink() ?>" class="snx-teaser-informal-link">
                  <?php echo get_the_title(); ?>
                </a>
                
              </h4>
              <p class="snx-teaser-informal__copy">
                <?php echo get_the_excerpt(); ?>
              </p>
              <a href="<?php the_permalink() ?>" class="snx-btn snx-btn--link snx-btn--icon-left">
                <svg class="snx-icon" viewBox="0 0 32 32">
                  <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_chevron_right"></use>
                </svg>
                <span><?php echo __('Learn more', 'sonax'); ?></span>
              </a>
            </div>
            
          </div>
        <?php endwhile; // end of the loop. ?>                                              
      </div>
    </div>
    <div class="snx-page-section__footer">
      <div class="snx-button-group snx-button-group--space-between">
      <?php 
        $next_posts_tag = get_next_posts_link(); 
        $prev_posts_tag = get_previous_posts_link(); 

        if ($next_posts_tag != NULL) {
          $dom_next = new DOMDocument();
          $dom_next->loadHTML($next_posts_tag);

          $tags = $dom_next->getElementsByTagName('a');

          $next = $tags[0]->getAttribute('href');
        }
        if ($prev_posts_tag != NULL) {
          $dom_prev = new DOMDocument();
          $dom_prev->loadHTML($prev_posts_tag);

          $tags = $dom_prev->getElementsByTagName('a');

          $prev = $tags[0]->getAttribute('href');
        }

        if (!empty($prev)):
      ?>
        <a class="snx-btn snx-btn--default snx-btn--icon-left" href="<?php echo $prev; ?>" style="margin-right: auto;">
          <svg class="snx-icon" viewBox="0 0 32 32">
            <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_chevron_left"></use>
          </svg>
          <span><?php echo __('Previous Page', 'sonax'); ?></span>
        </a>
      <?php endif;
        if (!empty($next)):
      ?>
        <a class="snx-btn snx-btn--default snx-btn--icon-right" href="<?php echo $next; ?>" style="margin-left: auto;">
          <svg class="snx-icon" viewBox="0 0 32 32">
            <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_chevron_right"></use>
          </svg>
          <span><?php echo __('Next Page', 'sonax'); ?></span>
        </a>
      <?php endif; ?>
        </div>
    </div>
  </section>
</div>


<?php get_footer(); ?>