<?php
    global $wp;

    $is_large_footer = get_option( 'sonax_footer_large' );
    $theme_locations = get_nav_menu_locations();
    
    // check if there is a menu in the the theme-location 'main-menu'

    $footer_class = "snx-footer-minimal";
    if ($is_large_footer) {
      $footer_class = "snx-footer";
    }


    function flatten_menu($theme_location/* , $menu_array */) {
      if (has_nav_menu($theme_location)) {

        $menu_array = [];

        // get the menus name from theme-location
        $theme_locations = get_nav_menu_locations();
        $menu_obj = get_term( $theme_locations[$theme_location], 'nav_menu' );
        $menu_name = $menu_obj->name;
    
        // get the menu object
        $items = wp_get_nav_menu_items($menu_name);
    
        // Support up to three levels of nesting by traversing through all items and finding the matching parent
        // Converts the flat navigation array into a nested array of objects with children properties
        foreach ($items as $key => $item) {
            if ($item->menu_item_parent == 0) {
                $item->children = [];
                array_push($menu_array, $item);
                foreach ($items as $key => $second_level_item) {
                    if ($second_level_item->menu_item_parent == $item->ID) {
                        $second_level_item->children = [];
                        array_push($item->children, $second_level_item);
                        foreach ($items as $key => $third_level_item) {
                            if ($third_level_item->menu_item_parent == $second_level_item->ID) {
                                $third_level_item->children = [];
                                array_push($second_level_item->children, $third_level_item);
                            } 
                        }
                    } 
                }
            } 
        }

        return $menu_array;
      } else {
        return [];
      }
    }

    $nested_menu_1 = flatten_menu('footer_menu_1');
    
    if ($is_large_footer) {
      $nested_menu_2 = flatten_menu('footer_menu_2');
      $nested_menu_3 = flatten_menu('footer_menu_3');
      $nested_menu_4 = flatten_menu('footer_menu_4');
    }

?>

</div>
</body>
<?php wp_footer(); ?>

<footer class="<?php echo $footer_class; ?>">
  <div class="snx-footer__wrapper">

    <?php if ($is_large_footer) : ?>
      <div class="snx-footer__container">
        <div class="snx-footer__header">
          <a class="snx-footer__logo" href="/">
            <img
              class="snx-footer__logo-item"
              src="<?php echo get_template_directory_uri(); ?>/assets/logo-snx.svg"
              alt="sonax logo"
            />
          </a>
        </div>

        <div class="snx-footer__body">

          <div
            class="snx-col-xs-12 snx-col-md-4 snx-col-lg-3 snx-spacer--mb-40 snx-spacer--mb-brp3-0"
          >
            <div class="snx-footer__item">

              <?php
                $menu_obj = get_term( $theme_locations['footer_menu_1'], 'nav_menu' );
                $menu_name = $menu_obj->name;
              ?>

              <h5 class="snx-footer__item-title"><?php echo $menu_name; ?></h5>
              <ul class="snx-footer__list">

                <?php
                  foreach ($nested_menu_1 as $key => $item) {
                    $href = $item->url;
                    $label = $item->title;

                    echo "<li class='snx-footer__list-item'>";
                    echo "<a class='snx-footer__list-link' href='$href'>$label</a>";
                    echo "</li>";
                  }
                ?>

              </ul>
            </div>
          </div>
          
          <div
            class="snx-col-xs-12 snx-col-md-4 snx-col-lg-3 snx-spacer--mb-40 snx-spacer--mb-brp3-0"
          >
            <div class="snx-footer__item">
              <?php
                $menu_obj = get_term( $theme_locations['footer_menu_2'], 'nav_menu' );
                $menu_name = $menu_obj->name;
              ?>

              <h5 class="snx-footer__item-title"><?php echo $menu_name; ?></h5>
              <ul class="snx-footer__list">

                <?php
                  foreach ($nested_menu_2 as $key => $item) {
                    $href = $item->url;
                    $label = $item->title;

                    echo "<li class='snx-footer__list-item'>";
                    echo "<a class='snx-footer__list-link' href='$href'>$label</a>";
                    echo "</li>";
                  }
                ?>

              </ul>
            </div>
          </div>

          <div
            class="snx-col-xs-12 snx-col-md-4 snx-col-lg-3 snx-spacer--mb-40 snx-spacer--mb-brp3-0"
          >
            <div class="snx-footer__item">
              <?php
                $menu_obj = get_term( $theme_locations['footer_menu_3'], 'nav_menu' );
                $menu_name = $menu_obj->name;
              ?>

              <h5 class="snx-footer__item-title"><?php echo $menu_name; ?></h5>
              <ul class="snx-footer__list">

                <?php
                  foreach ($nested_menu_3 as $key => $item) {
                    $href = $item->url;
                    $label = $item->title;

                    echo "<li class='snx-footer__list-item'>";
                    echo "<a class='snx-footer__list-link' href='$href'>$label</a>";
                    echo "</li>";
                  }
                ?>

              </ul>
            </div>
          </div>

          <div
            class="snx-col-xs-12 snx-col-md-4 snx-col-lg-3 snx-spacer--mb-40 snx-spacer--mb-brp3-0"
          >
            <div class="snx-footer__item">
              <?php
                $menu_obj = get_term( $theme_locations['footer_menu_4'], 'nav_menu' );
                $menu_name = $menu_obj->name;
              ?>

              <h5 class="snx-footer__item-title"><?php echo $menu_name; ?></h5>
              <ul class="snx-footer__list">

                <?php
                  foreach ($nested_menu_4 as $key => $item) {
                    $href = $item->url;
                    $label = $item->title;

                    echo "<li class='snx-footer__list-item'>";
                    echo "<a class='snx-footer__list-link' href='$href'>$label</a>";
                    echo "</li>";
                  }
                ?>

              </ul>
            </div>
          </div>

        </div>

        <div class="snx-footer__footer">
          <!-- <div class="snx-footer__item"><a class="snx-btn snx-btn--invert snx-btn--flag snx-spacer--mr-50" href="#">
              <figure class="snx-flag snx-flag-icon snx-flag-icon-de snx-flag-icon-squared snx-flag--round undefined"></figure>
              <span>Deutschland</span>
            </a>
            <p>© Copyright SONAX Gmbh 2018. All rights reserved.</p>
          </div> -->
          <div class="snx-footer__item">
            <?php 
              $twitter_url = get_option('sonax_twitter_url');
              $facebook_url = get_option('sonax_facebook_url');
              $youtube_url = get_option('sonax_youtube_url');
              $instagram_url = get_option('sonax_instagram_url');
              $tiktok_url = get_option('sonax_tiktok_url');
              $linkedin_url = get_option('sonax_linkedin_url');

              $has_social_links = !empty($linkedin_url) || !empty($tiktok_url) || !empty($twitter_url) || !empty($facebook_url) || !empty($youtube_url) || !empty($instagram_url);


              if ($has_social_links) :
            ?>
              <div class="snx-footer__item-social">
                <p><?php echo __('SONAX social', 'sonax'); ?></p>
                
                <?php if (!empty($facebook_url)) : ?>
                  <a target="_blank" href="<?php echo $facebook_url; ?>" class="snx-btn snx-btn--link snx-btn--icon">
                    <svg class="snx-icon"  viewBox="0 0 32 32">
                      <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_facebook"></use>
                    </svg>
                  </a>
                <?php endif; ?>

                <?php if (!empty($instagram_url)) : ?>
                  <a target="_blank" href="<?php echo $instagram_url; ?>" class="snx-btn snx-btn--link snx-btn--icon">
                    <svg class="snx-icon"  viewBox="0 0 32 32">
                      <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_instagram"></use>
                    </svg>
                  </a>
                <?php endif; ?>

                <?php if (!empty($youtube_url)) : ?>
                  <a target="_blank" href="<?php echo $youtube_url; ?>" class="snx-btn snx-btn--link snx-btn--icon">
                    <svg class="snx-icon"  viewBox="0 0 32 32">
                      <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_youtube"></use>
                    </svg>
                  </a>
                <?php endif; ?>
                
                <?php if (!empty($twitter_url)) : ?>
                  <a target="_blank" href="<?php echo $twitter_url; ?>" class="snx-btn snx-btn--link snx-btn--icon">
                    <svg class="snx-icon"  viewBox="0 0 32 32">
                      <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_twitter"></use>
                    </svg>
                  </a>
                <?php endif; ?>

                <?php if (!empty($tiktok_url)) : ?>
                  <a target="_blank" href="<?php echo $tiktok_url; ?>" class="snx-btn snx-btn--link snx-btn--icon">
                    <svg class="snx-icon"  viewBox="0 0 32 32">
                      <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx-tiktok"></use>
                    </svg>
                  </a>
                <?php endif; ?>
            
                <?php if (!empty($linkedin_url)) : ?>
                  <a target="_blank" href="<?php echo $linkedin_url; ?>" class="snx-btn snx-btn--link snx-btn--icon">
                    <svg class="snx-icon"  viewBox="0 0 32 32">
                      <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_linkedin"></use>
                    </svg>
                  </a>
                <?php endif; ?>
              </div>
            <?php endif; ?>
          </div>
        </div>
    <?php else : ?>
      <div class="snx-footer__body">
        <div class="snx-footer__container">
          <a class="snx-footer__logo" href="/">
            <img
              class="snx-footer__logo-item"
              src="<?php echo get_template_directory_uri(); ?>/assets/logo-snx.svg"
              alt="sonax logo"
            />
          </a>
          <ul class="snx-footer__list">

            <?php
              foreach ($nested_menu_1 as $key => $item) {
                $href = $item->url;
                $label = $item->title;

                echo "<li class='snx-footer__list-item'>";
                echo "<a class='snx-footer__list-link' href='$href'>$label</a>";
                echo "</li>";
              }
            ?>
          </ul>
        </div>
      </div>
      <div class="snx-footer__footer">
        <div class="snx-footer__container">
          <div class="snx-footer__item">
            <!-- <div
              class="snx-footer__item snx-footer__item-copy snx-col-xs-12 snx-col-lg-6"
            >
              <a
                class="snx-btn snx-btn--invert snx-btn--flag snx-spacer--mr-50"
                href="#"
              >
                <figure
                  class="snx-flag snx-flag-icon snx-flag-icon-de snx-flag-icon-squared snx-flag--round undefined"
                ></figure>
                <span>Deutschland</span>
              </a>
              © Copyright SONAX Gmbh 2018. All rights reserved.
            </div> -->

            <?php 
              $twitter_url = get_option('sonax_twitter_url');
              $facebook_url = get_option('sonax_facebook_url');
              $youtube_url = get_option('sonax_youtube_url');
              $instagram_url = get_option('sonax_instagram_url');
              $tiktok_url = get_option('sonax_tiktok_url');
              $linkedin_url = get_option('sonax_linkedin_url');

              $has_social_links = !empty($linkedin_url) || !empty($tiktok_url) || !empty($twitter_url) || !empty($facebook_url) || !empty($youtube_url) || !empty($instagram_url);


              if ($has_social_links) :
            ?>
              <div class="snx-footer__item-social">
                <?php echo __('SONAX social', 'sonax'); ?>
                
                <?php if (!empty($facebook_url)) : ?>
                  <a target="_blank" href="<?php echo $facebook_url; ?>" class="snx-footer__item-link">
                    <svg class="snx-icon"  viewBox="0 0 32 32">
                      <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_facebook"></use>
                    </svg>
                  </a>
                <?php endif; ?>

                <?php if (!empty($instagram_url)) : ?>
                  <a target="_blank" href="<?php echo $instagram_url; ?>" class="snx-footer__item-link">
                    <svg class="snx-icon"  viewBox="0 0 32 32">
                      <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_instagram"></use>
                    </svg>
                  </a>
                <?php endif; ?>

                <?php if (!empty($youtube_url)) : ?>
                  <a target="_blank" href="<?php echo $youtube_url; ?>" class="snx-footer__item-link">
                    <svg class="snx-icon"  viewBox="0 0 32 32">
                      <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_youtube"></use>
                    </svg>
                  </a>
                <?php endif; ?>
                
                <?php if (!empty($twitter_url)) : ?>
                  <a target="_blank" href="<?php echo $twitter_url; ?>" class="snx-footer__item-link">
                    <svg class="snx-icon"  viewBox="0 0 32 32">
                      <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_twitter"></use>
                    </svg>
                  </a>
                <?php endif; ?>

                <?php if (!empty($tiktok_url)) : ?>
                  <a target="_blank" href="<?php echo $tiktok_url; ?>" class="snx-footer__item-link">
                    <svg class="snx-icon"  viewBox="0 0 32 32">
                      <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx-tiktok"></use>
                    </svg>
                  </a>
                <?php endif; ?>

                <?php if (!empty($linkedin_url)) : ?>
                  <a target="_blank" href="<?php echo $linkedin_url; ?>" class="snx-footer__item-link">
                    <svg class="snx-icon"  viewBox="0 0 32 32">
                      <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_linkedin"></use>
                    </svg>
                  </a>
                <?php endif; ?>
              </div>
            <?php endif; ?>
          </div>
        </div>
      </div>
    <?php endif; ?>
  </div>
</footer>

<script>
    if(navigator.userAgent.indexOf("MSIE")!==-1 || navigator.appVersion.indexOf("Trident/") > -1){
    /* Microsoft Internet Explorer detected in. */
        window.location.href = "/wp-content/themes/sonax-theme/fallback/index.html"
    }

    $(document).ready(function () {
        Array.from(document.querySelectorAll('.snx-element-listing--col-1 > .snx-teaser-promo:not(.snx-teaser-promo--is-cover):not(.snx-teaser-promo--size-full)')).forEach(teaser => teaser.classList.add('snx-teaser-promo--size-full'))
    })

</script>

</html>
