<?php
/**
 *  Initialize acf and customize paths
 */

// 1. customize ACF path
add_filter('acf/settings/path', 'snx_acf_settings_path');
function snx_acf_settings_path( $path ) {
    $path = get_template_directory() . '/inc/vendor/acf/';
    return $path;
}

// 2. customize ACF dir
add_filter('acf/settings/dir', 'snx_acf_settings_dir');
 
function snx_acf_settings_dir( $dir ) {
    $dir = get_template_directory_uri() . '/inc/vendor/acf/';
    return $dir;
}
 
// 3. Hide ACF field group menu item
// if ( ! has_filter( 'acf/settings/show_admin' ) ) {
// 	add_filter('acf/settings/show_admin', '__return_false');
// }
// 4. Include ACF
include_once( get_template_directory() . '/inc/vendor/acf/acf.php' );

// Include acf-json fields in master and child theme
add_filter('acf/settings/load_json', function($paths) {
	$paths = array(get_template_directory() . '/acf-json');

	return $paths;
});

/*
  Exposes all acf field in rest api on each post type directyl
  https://gist.github.com/MelMacaluso/6c4cb3db5ac87894f66a456ab8615f10
*/

 function create_ACF_meta_in_REST() {
    $postypes_to_exclude = ['acf-field-group','acf-field'];
    $extra_postypes_to_include = ["page"];
    $post_types = array_diff(get_post_types(["_builtin" => false], 'names'),$postypes_to_exclude);

    array_push($post_types, $extra_postypes_to_include);

    foreach ($post_types as $post_type) {
        register_rest_field( $post_type, 'ACF', [
            'get_callback'    => 'expose_ACF_fields',
            'schema'          => null,
        ]
      );
    }

}

function expose_ACF_fields( $object ) {
    $ID = $object['id'];
    return get_fields($ID);
}

add_action( 'rest_api_init', 'create_ACF_meta_in_REST' );