<?php
/**
 * Render a custom breadcrumb
 */

function get_breadcrumb_item($link, $label) {
  $base_url = get_template_directory_uri();

  $markup =  "<li class='snx-breadcrumb__list-item'><svg class='snx-icon' viewBox='0 0 32 32'><use xlink:href='$base_url/assets/sprite.svg#snx_chevron_right'></use></svg>";

  $markup .= '<a href="';  
  $markup .= $link;  
  $markup .= '">';  
  $markup .= $label;  
  $markup .= '</a>';  

  $markup .=  '</li>';

  return $markup;
}

function nav_breadcrumb() {
  global $post;
  global $wp;

  $current_page_url = home_url( $wp->request );

  if (get_field('hide_breadcrumbs')) {
    return;
  }

  $home = __('Home', 'sonax'); 
  $before = '<span class="current-page">'; 
  $after = '</span>'; 


  if ( !is_home() && !is_front_page() || is_paged() ) {
    echo '<nav class="snx-breadcrumb snx-breadcrumb--in-grid "><div class="snx-breadcrumb__wrapper"><ol class="snx-breadcrumb__list">';
    $home_link = get_bloginfo('url');
    echo get_breadcrumb_item($home_link, $home);
    if ( is_category()) {
      global $wp_query;
      $cat_obj = $wp_query->get_queried_object();
      $thisCat = $cat_obj->term_id;
      $thisCat = get_category($thisCat);
      $parentCat = get_category($thisCat->parent);
      echo get_breadcrumb_item($current_page_url, single_cat_title('', false));
    } elseif (is_product_category()) {
      echo get_breadcrumb_item($current_page_url, single_term_title('', false));
    } elseif ( is_day() ) {
      echo get_breadcrumb_item(get_year_link(get_the_time('Y')), get_the_time('Y'));
      echo get_breadcrumb_item(get_month_link(get_the_time('Y'),get_the_time('m')), get_the_time('F'));
      echo get_breadcrumb_item($current_page_url, get_the_time('d'));
    } elseif ( is_month() ) {
      echo get_breadcrumb_item(get_year_link(get_the_time('Y')), get_the_time('Y'));
      echo get_breadcrumb_item($current_page_url, get_the_time('F'));
    } elseif ( is_year() ) {
      echo get_breadcrumb_item($current_page_url, get_the_time('Y'));
    } elseif ( is_single() && !is_attachment() ) {
      if ( get_post_type() != 'post' ) {
        $post_type = get_post_type_object(get_post_type());
        $slug = $post_type->rewrite;
        $link = $home_link . '/' . $slug['slug'];
        $label = $post_type->labels->singular_name;

        if (is_singular('product')) {
          $link = $home_link . '/shop';
          $link = get_permalink( wc_get_page_id( 'shop' ) );
          $label = __('Shop', 'sonax');
        }
        echo get_breadcrumb_item($link, $label);
        echo get_breadcrumb_item($current_page_url, get_the_title());
      } else {
        $cat = get_the_category();
        $cat = $cat[0];
        echo get_breadcrumb_item(get_category_link($cat), $cat->name);
        echo get_breadcrumb_item($current_page_url, get_the_title());
      }
    } elseif ( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ) {
      $post_type = get_post_type_object(get_post_type());
      echo get_breadcrumb_item($current_page_url, $post_type->labels->singular_name);
    } elseif ( is_attachment() ) {
      $parent = get_post($post->post_parent);
      $cat = get_the_category($parent->ID); $cat = $cat[0];
      echo get_breadcrumb_item(get_permalink($parent), $parent->post_title);
      echo get_breadcrumb_item($current_page_url, get_the_title());
    } elseif ( is_page() && !$post->post_parent ) {
      echo get_breadcrumb_item($current_page_url, get_the_title());
    } elseif ( is_page() && $post->post_parent ) {
      $parent_id = $post->post_parent;
      $breadcrumbs = array();

      while ($parent_id) {
        $page = get_page($parent_id);
        $base_url =  get_template_directory_uri();
        $breadcrumbs[] = "<li class='snx-breadcrumb__list-item'><svg class='snx-icon' viewBox='0 0 32 32'><use xlink:href='$base_url/assets/sprite.svg#snx_chevron_right'></use></svg><a href='" . get_permalink($page->ID) . "'>" . get_the_title($page->ID) . "</a></li>";
        $parent_id = $page->post_parent;
      }
      
      $breadcrumbs = array_reverse($breadcrumbs);
      foreach ($breadcrumbs as $crumb) echo $crumb . ' ' . ' ';

      echo get_breadcrumb_item($current_page_url, get_the_title());
    }

    echo '</ol></div></nav>';
  } 
}
