<?php
/**
 * Add custom image sizes and all other image related settings
 *
 */

add_theme_support('post_thumbnails');

function sonax_add_image_sizes() {
    /* Custom Images */
    add_image_size('293x195', 293, 195); // replaces: product-box-image-brp-1 // now also: product-box-image-brp-0,product-box-image-brp-3,product-box-image-brp-4
    // Ex stage, not in use anymore
    // add_image_size('300x200', 300, 200); // replaces: stage-featured-brp-0
    add_image_size('373x210', 373, 210, true); // 16:9 non retina, true param to force aspect ratio
    add_image_size('746x420', 746, 420, true); // 16:9 retina, true param to force aspect ratio
    add_image_size('375x250', 375, 250); // replaces: stage-featured-brp-1,product-image-brp-0,product-image-brp-1 // now also: product-box-image-brp-2
    add_image_size('480x320', 480, 320); // replaces: stage-background-brp-0, application-guide
    add_image_size('600x400', 600, 400); // replaces: stage-featured-brp-0-2x,product-image-brp-2 // now also:  stage-featured-brp-2,product-box-image-brp-0-2x,product-box-image-brp-3-2x,product-box-image-brp-4-2x,product-box-image-brp-1-2x
    add_image_size('675x450', 675, 450); // replaces: product-image-brp-3 // now also: stage-featured-brp-3, stage-background-brp-2
    add_image_size('750x500', 750, 500); // replaces: stage-featured-brp-1-2x,product-image-brp-0-2x,product-image-brp-1-2x // now also: stage-featured-brp-4, product-box-image-brp-2-2x
    add_image_size('863x575', 863, 575); // replaces: product-image-brp-5 // now also: stage-background-brp-1,stage-background-brp-3,product-image-brp-4
    add_image_size('960x640', 960, 640); // replaces: stage-background-brp-0-2x
    add_image_size('1050x700', 1050, 700); // replaces: stage-background-brp-4,stage-featured-brp-2-2x
    add_image_size('1290x860', 1290, 860); // replaces: stage-background-brp-2-2x // now also: product-image-brp-2-2x,stage-featured-brp-3-2x
    add_image_size('1350x900', 1350, 900); // replaces: product-image-brp-3-2x
    // Ex stage, not in use anymore
    // add_image_size('1440x960', 1440, 960); // replaces: stage-featured-brp-4-2x
    add_image_size('1560x1040', 1560, 1040); // replaces: stage-background-brp-1-2x,stage-background-brp-3-2x
    add_image_size('1635x1090', 1635, 1090); // replaces: product-image-brp-4-2x
    add_image_size('1725x1150', 1725, 1150); // replaces: product-image-brp-5-2x
    // Ex stage, not in use anymore
    // add_image_size('2100x1400', 2100, 1400); // replaces: stage-background-brp-4-2x

    /* Stage Background Brp-0 */
    add_image_size('480x480', 480, 480, true);
    /* Stage Background Brp-1 */
    add_image_size('768x512', 768, 512, true);
    /* Stage Background Brp-2 */    
    add_image_size('992x426', 992, 426, true);
    /* Stage Background Brp-3 */    
    add_image_size('1200x515', 1200, 515, true);
    /* Stage Background Brp-4 */    
    add_image_size('1920x823', 1920, 823, true);
    
    /* Stage Featured Image Brp-0 */
    add_image_size('AUTOx330', 99999, 330, false);
    /* Stage Featured Image Brp-1 */    
    add_image_size('AUTOx240', 99999, 240, false);
    /* Stage Featured Image Brp-2 */    
    add_image_size('AUTOx300', 99999, 300, false);
    /* Stage Featured Image Brp-3 */    
    add_image_size('AUTOx350', 99999, 350, false);
    /* Stage Featured Image Brp-4 */    
    add_image_size('AUTOx700', 99999, 700, false);
    
    /* Teaser Promo Background Brp-0 */
    add_image_size('480xAUTO', 480, 99999, false);
    
    /* Teaser Promo Background Brp-1 */
    add_image_size('767xAUTO', 767, 99999, false);
    
    /* Teaser Promo Background Brp-2 */    
    // Ommitted, same size as brp-0
    // add_image_size('480xAUTO', 480, 99999, false);
    
    /* Teaser Promo Background Brp-3 */    
    add_image_size('600xAUTO', 600, 99999, false);
    
    /* Teaser Promo Background Brp-4 */
    // Not available    
    
    /* Teaser Promo Background Brp-0 Size Full */
    // Ommitted, same size as default brp-0
    // add_image_size('480xAUTO', 480, 99999, false);+

    /* Teaser Promo Background Brp-1 Size Full */
    // Ommitted, same size as default brp-1
    // add_image_size('767xAUTO', 767, 99999, false);
    
    /* Teaser Promo Background Brp-2 Size Full */    
    add_image_size('900xAUTO', 900, 99999, false);
    
    /* Teaser Promo Background Brp-3 Size Full */    
    add_image_size('1180xAUTO', 1180, 99999, false);
    
    /* Teaser Promo Background Brp-4 Size Full */
    // Not available    
    
    /* Teaser Promo Featured Image Brp-0 */
    // add_image_size('AUTOx330', 99999, 330, false);
    /* Teaser Promo Featured Image Brp-1 */    
    // add_image_size('AUTOx240', 99999, 240, false);
    /* Teaser Promo Featured Image Brp-2 */    
    // add_image_size('AUTOx300', 99999, 300, false);
    /* Teaser Promo Featured Image Brp-3 */    
    // add_image_size('AUTOx350', 99999, 350, false);
    /* Teaser Promo Featured Image Brp-4 */    
    // add_image_size('AUTOx700', 99999, 700, false);
}

add_action( 'init', 'sonax_add_image_sizes' );

function sonax_remove_default_image_sizes( $sizes) {
    unset( $sizes['woocommerce_gallery_thumbnail']);
    unset( $sizes['woocommerce_single']);
    unset( $sizes['shop_thumbnail']);
    unset( $sizes['woocommerce_thumbnail']);
    unset( $sizes['shop_catalog']);
    unset( $sizes['shop_single']);
    unset( $sizes['thumbnail']);
    unset( $sizes['medium']);
    unset( $sizes['large']);
    unset( $sizes['medium_large']);
    return $sizes;
}

add_filter('intermediate_image_sizes_advanced', 'sonax_remove_default_image_sizes');

function sonax_custom_sizes( $sizes ) {
    return array_merge( $sizes, array(
        '293x195' => __('293x195'),
        '300x200' => __('300x200'),
        '375x250' => __('375x250'),
        '373x210' => __('373x210'), // 16:9 non retina
        '746x420' => __('746x420'), // 16:9 retina
        '480x320' => __('480x320'),
        '600x400' => __('600x400'),
        '675x450' => __('675x450'),
        '750x500' => __('750x500'),
        '863x575' => __('863x575'),
        '960x640' => __('960x640'),
        '1050x700' => __('1050x700'),
        '1290x860' => __('1290x860'),
        '1350x900' => __('1350x900'),
        '1440x960' => __('1440x960'),
        '1560x1040' => __('1560x1040'),
        '1635x1090' => __('1635x1090'),
        '1725x1150' => __('1725x1150'),
        '2100x1400' => __('2100x1400')
    ) );
}

add_filter( 'image_size_names_choose', 'sonax_custom_sizes' );