<?php
  $gmaps_api_key = get_option('sonax_gmaps_api_key');
  $map_notification = get_option('sonax_locations_map_notification');
  $args = array( 'post_type' => 'location', 'posts_per_page' => 100 ,'category_name'=>'reseller');
  $locations_query = new WP_Query( $args );
  $locations = $locations_query->posts;

  $map_search_block = null;

  if (!empty($render_php_args) && $render_php_args['map_search_block']) {
    $map_search_block = true;
  }
?>

<?php if (empty($locations)) : ?>
  <p class="snx-spacer--p-40"><?php echo __('Sorry, no locations found', 'sonax'); ?></p>
<?php elseif (empty($gmaps_api_key)) : ?>
  <p class="snx-spacer--p-40"><?php echo __('Warning: To use the locations block you must configure the google maps api key in the theme settings.', 'sonax'); ?></p>
<?php else : ?>
  <?php if (!empty($map_search_block)) : ?>
    <div class="snx-form snx-form--is-block snx-map__controls">
      <div class="snx-form__body">
        <div class="snx-form-group">
            <label class="snx-form-group__label"><?php echo __('Your location', 'sonax'); ?></label>
            <input class="snx-form-text snx-map-autocomplete" type="text" placeholder="<?php echo __('ZIP or City', 'sonax'); ?>" autocomplete="off" id="pac-input">
        </div>
      </div>
      <div class="snx-form__footer">
        <button class="snx-btn snx-btn--primary" id="pac-submit-button">
            <svg class="snx-icon" viewBox="0 0 32 32">
                <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_search"></use>
            </svg>
            <span><?php echo __('Search', 'sonax'); ?></span>
        </button>
      </div>
    </div>
  <?php endif; ?>
  <div class="snx-map">

    <?php if (!empty($map_notification)) : ?>
      <div class="snx-map__notification snx-map__notification--boxed">
        <div class="snx-map__notification-wrapper">
          <button class="snx-map__notification-toggle">
            <svg class="snx-icon" viewBox="0 0 32 32">
              <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_cross"></use>
            </svg>
          </button>
          <span class="snx-map__notification-copy">
            <?php echo $map_notification; ?>
          </span>
        </div>
      </div>
    <?php endif; ?>

    <?php if (empty($map_search_block)) : ?>
      <div class="snx-map__header snx-map__header--boxed">
        <div class="snx-map__header__wrapper">
          <div class="snx-form-search">
            <button class="snx-btn snx-btn--link snx-btn--icon-left snx-form-search__button" id="pac-submit-button">
              <svg class="snx-icon" viewBox="0 0 32 32">
                <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_chevron_right"></use>
              </svg>
              <span><?php echo __('Search', 'sonax'); ?></span>
            </button>
            <input class="snx-form-search__input" placeholder="<?php echo __('ZIP or City', 'sonax'); ?>" autofocus="" value="" id="pac-input">
            <span class="snx-form-search__icon">
              <svg class="snx-icon" viewBox="0 0 32 32">
                <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_search"></use>
              </svg>
            </span>
          </div>
        </div>
      </div>
    <?php endif; ?>
    <div class="snx-map__gmaps"></div>
    <div class="snx-map__poi">
      <div class="snx-map__poi-header">
        <button class="snx-btn snx-map__poi-close">
          <svg class="snx-icon" viewBox="0 0 32 32">
            <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_cross"></use>
          </svg>
        </button>
      </div>
      <div class="snx-map__poi-body">
        <div class="snx-business-card snx-business-card--vertical">
          <div class="snx-business-card__header">
            <div class="snx-business-card__headline" data-poi-title><?php echo __('n/A', 'sonax'); ?></div>
          </div>
          <address>
            <strong><?php echo __('Address', 'sonax'); ?></strong><br>
            <span data-poi-address-street><?php echo __('n/A', 'sonax'); ?></span> <span data-poi-address-street-no><?php echo __('n/A', 'sonax'); ?></span><br>
            <span data-poi-address-zip><?php echo __('n/A', 'sonax'); ?></span> <span data-poi-address-city><?php echo __('n/A', 'sonax'); ?></span>
          </address>
          <div class="snx-business-card__phone"><strong><?php echo __('Phone', 'sonax'); ?></strong><br><span data-poi-phone><?php echo __('n/A', 'sonax'); ?><span></div>
          <div class="snx-business-card__footer">
            <div class="snx-business-card__call-section">
              <h4 class="snx-font-subtitle-03 snx-spacer--mb-30"><?php echo __('Direct Contact', 'sonax'); ?></h4>
              <div class="snx-button-group snx-spacer--mt-10">
                <a class="snx-btn snx-btn--default snx-btn--icon-left" data-poi-phone-href href="<?php echo __('n/A', 'sonax'); ?>">
                  <svg class="snx-icon" viewBox="0 0 32 32">
                    <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx-mobile-phone"></use>
                  </svg>
                  <span><?php echo __('Office', 'sonax'); ?></span>
                </a>
                <a class="snx-btn snx-btn--default snx-btn--icon-left" data-poi-email-href href="">
                  <svg class="snx-icon" viewBox="0 0 32 32">
                    <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#black-back-closed-envelope-shape"></use>
                  </svg>
                  <span><?php echo __('Mail', 'sonax'); ?></span>
                </a>
              </div>
            </div>
            <div class="snx-business-card__visit-section">
              <h4 class="snx-font-subtitle-03"><?php echo __('More Information', 'sonax'); ?></h4>
              <div class="snx-button-group snx-spacer--mt-10">
                <a class="snx-btn snx-btn--default snx-btn--icon-left" data-poi-website-href href="" target="_blank">
                  <svg class="snx-icon" viewBox="0 0 32 32">
                    <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_world"></use>
                  </svg>
                  <span><?php echo __('Web', 'sonax'); ?></span>
                </a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <?php
      $location_objects = array();

      foreach($locations as $location_post) {
        $location_fields = get_fields($location_post->ID);
        array_push( $location_objects, array_merge($location_fields, array('title' => $location_post->post_title, 'id' => $location_post->ID)) );
      }
  ?>

  <style>
    .pac-container {
      z-index: 10000 !important;
    }
  </style>
  <script src="<?php echo get_template_directory_uri(); ?>/inc/js/map-styles.js"></script>
  <script src="<?php echo get_template_directory_uri(); ?>/inc/js/map-marker-clusterer.js"></script>
  <script>
    var resellerLocations = <?php echo json_encode($location_objects); ?>;
    var map;
    var mapElement = document.querySelector('.snx-map')
    var mapElementPoiClass = 'snx-map--show-poi'
    var poiElement = mapElement.querySelector('.snx-map__poi')
    var poiElementClose = poiElement.querySelector('.snx-map__poi-close')

    var clustererStyles = [
      {
        url: '<?php echo get_template_directory_uri(); ?>/assets/n1.png',
        height: 56,
        width: 56,
        anchor: [0, 0],
        backgroundPosition: [0, 0],
        textColor: '#fff',
      },
    ]

    var mapNotification = document.querySelector('.snx-map__notification');

    if (mapNotification) {
      var toggle = mapNotification.querySelector('.snx-map__notification-toggle')

      toggle.addEventListener('click', function () {
        mapNotification.style.display = 'none'
      })
    }


    function initMap() {
      try {

        var defaultCenter = {
          lat: window.gmapsDefaultCenter ? window.gmapsDefaultCenter.lat : resellerLocations[0].maplocation.lat,
          lng: window.gmapsDefaultCenter ? window.gmapsDefaultCenter.lng : resellerLocations[0].maplocation.lng,
        }

        map = new google.maps.Map(document.querySelector(".snx-map__gmaps"), {
          center: { lat: defaultCenter.lat, lng: defaultCenter.lng },
          zoom: 8,
          styles: window.gmapStyles,
          mapTypeControl: false,
          fullscreenControl: false,
          streetViewControl: false,
        });

        var service = new google.maps.places.PlacesService(map)

        function handlePoiClick (location) {
          console.log(location);

          poiElement.querySelector('*[data-poi-title]').innerHTML = location.title

          if (location.street) {
            poiElement.querySelector('*[data-poi-address-street]').innerHTML = location.street
          }
          if (location.street_no) {
            poiElement.querySelector('*[data-poi-address-street-no]').innerHTML = location.street_no
          }
          if (location.city) {
            poiElement.querySelector('*[data-poi-address-city]').innerHTML = location.city
          }
          if (location.zip) {
            poiElement.querySelector('*[data-poi-address-zip]').innerHTML = location.zip
          }
          if (location.phone) {
            poiElement.querySelector('*[data-poi-phone]').innerHTML = location.phone
          }
          
          if (location.phone) {
            poiElement.querySelector('*[data-poi-phone-href]').setAttribute('href', 'tel:' + location.phone)
          } else {
            poiElement.querySelector('*[data-poi-phone-href]').style.visibility = 'hidden'
          }

          if (location.website) {
            poiElement.querySelector('*[data-poi-website-href]').setAttribute('href', location.website)
          } else {
            poiElement.querySelector('*[data-poi-website-href]').style.visibility = 'hidden'
          }
          
          if (location.email) {
            poiElement.querySelector('*[data-poi-email-href]').setAttribute('href', 'mailto:' + location.email)
          } else {
            poiElement.querySelector('*[data-poi-email-href]').style.visibility = 'hidden'
          }
          
          mapElement.classList.add(mapElementPoiClass);
        }

        function handleClosePoi () {
          mapElement.classList.remove(mapElementPoiClass);

          var na = "<?php echo __('n/A', 'sonax'); ?>";

          poiElement.querySelector('*[data-poi-title]').innerHTML = na

          poiElement.querySelector('*[data-poi-address-street]').innerHTML = na
          poiElement.querySelector('*[data-poi-address-street-no]').innerHTML = na
          poiElement.querySelector('*[data-poi-address-city]').innerHTML = na
          poiElement.querySelector('*[data-poi-address-zip]').innerHTML = na
          
          poiElement.querySelector('*[data-poi-phone]').innerHTML = na
          
          poiElement.querySelector('*[data-poi-phone-href]').setAttribute('href', '')
          poiElement.querySelector('*[data-poi-website-href]').setAttribute('href', '')

          poiElement.querySelector('*[data-poi-website-href]').style.visibility = 'visible'
          poiElement.querySelector('*[data-poi-email-href]').style.visibility = 'visible'
          poiElement.querySelector('*[data-poi-phone-href]').style.visibility = 'visible'
        }

        poiElementClose.addEventListener('click', handleClosePoi);

        var markers = resellerLocations.map(function (location) {
          var marker = new google.maps.Marker({
            position: { lat: location.maplocation.lat, lng: location.maplocation.lng },
            map,
            title: location.title,
            icon: '<?php echo get_template_directory_uri(); ?>/assets/marker-poi.png',
            anchorPoint: [0, 51],
          });

          marker.addListener('click', function () { 
            handlePoiClick(location)
          })

          return marker;
        })

        var markerCluster = new MarkerClusterer(map, markers, {
          imagePath: '<?php echo get_template_directory_uri(); ?>/assets/images/m',
          styles: clustererStyles,
        })

        
        var input = document.getElementById("pac-input");
        var searchBox = new google.maps.places.SearchBox(input);
        
        searchBox.addListener("places_changed", () => {
          var places = searchBox.getPlaces();

          if (places.length == 0) {
            return;
          }

          var bounds = new google.maps.LatLngBounds();
          places.forEach((place) => {
            if (!place.geometry || !place.geometry.location) {
              console.log("Returned place contains no geometry");
              return;
            }

            if (place.geometry.viewport) {
              bounds.union(place.geometry.viewport);
            } else {
              bounds.extend(place.geometry.location);
            }
          });
          map.fitBounds(bounds);
        });

        document.getElementById('pac-submit-button').addEventListener('click', function (e) {
          e.preventDefault();

          var request = {
            query: input.value
          };

          if (searchBox.getBounds()) {
            request.bounds = searchBox.getBounds();
          }

          service.textSearch(request, function(places) {
            searchBox.set('places', places || [])
          });

        });

      } catch (error) {
        console.warn('Error in initMap: ', error)
      }  
    }
  </script>

  <?php if (!empty($gmaps_api_key)) : ?>
    <script
      src="https://maps.googleapis.com/maps/api/js?key=<?php echo $gmaps_api_key; ?>&callback=initMap&libraries=drawing,places&v=weekly"
      async
    ></script>
  <?php endif; ?>
<?php endif; ?>
