<?php
/**
 * Adds and configures a custom post type person and exposes all of its fields to the wordpress rest api
 *
 */

function cptui_register_my_cpts() {
	$labels = [
		"name" => __( "Persons", "sonax" ),
		"singular_name" => __( "Person", "sonax" ),
	];

	$args = [
		"label" => __( "Persons", "sonax" ),
		"labels" => $labels,
		"description" => "",
		"public" => true,
		"publicly_queryable" => false,
		"show_ui" => true,
		"show_in_rest" => true,
		"rest_base" => "",
		"rest_controller_class" => "WP_REST_Posts_Controller",
		"has_archive" => false,
		"show_in_menu" => true,
		"show_in_nav_menus" => false,
		"delete_with_user" => false,
		"exclude_from_search" => true,
		"capability_type" => "post",
		"map_meta_cap" => true,
		"hierarchical" => false,
		"rewrite" => [ "slug" => "person", "with_front" => true ],
		"query_var" => true,
		"supports" => [ "title" ],
		"taxonomies" => [ "category" ],
	];

	register_post_type( "person", $args );
}

add_action( 'init', 'cptui_register_my_cpts' );
