<?php
/**
 * Adds theme options page with fields for social media links.
 * Other general settings should go in here as well.
 *
 */

function sonax_display_twitter_option() {
  //php code to take input from text field for twitter URL.
  ?>
    <input style="min-width: 400px;" type="text" name="sonax_twitter_url" id="sonax_twitter_url" value="<?php echo get_option('sonax_twitter_url'); ?>" />
  <?php
}
function sonax_display_facebook_option() {
  //php code to take input from text field for facebook URL.
  ?>
    <input style="min-width: 400px;" type="text" name="sonax_facebook_url" id="sonax_facebook_url" value="<?php echo get_option('sonax_facebook_url'); ?>" />
  <?php
}
function sonax_display_instagram_option() {
  //php code to take input from text field for instagram URL.
  ?>
    <input style="min-width: 400px;" type="text" name="sonax_instagram_url" id="sonax_instagram_url" value="<?php echo get_option('sonax_instagram_url'); ?>" />
  <?php
}
function sonax_display_youtube_option() {
  //php code to take input from text field for youtube URL.
  ?>
    <input style="min-width: 400px;" type="text" name="sonax_youtube_url" id="sonax_youtube_url" value="<?php echo get_option('sonax_youtube_url'); ?>" />
  <?php
}

function sonax_display_tiktok_option() {
  //php code to take input from text field for youtube URL.
  ?>
    <input style="min-width: 400px;" type="text" name="sonax_tiktok_url" id="sonax_tiktok_url" value="<?php echo get_option('sonax_tiktok_url'); ?>" />
  <?php
}

function sonax_display_linkedin_option() {
  //php code to take input from text field for youtube URL.
  ?>
    <input style="min-width: 400px;" type="text" name="sonax_linkedin_url" id="sonax_linkedin_url" value="<?php echo get_option('sonax_linkedin_url'); ?>" />
  <?php
}

function sonax_display_gmaps_api_key_option() {
  //php code to take input from text field for youtube URL.
  ?>
    <input style="min-width: 400px;" type="text" name="sonax_gmaps_api_key" id="sonax_gmaps_api_key" value="<?php echo get_option('sonax_gmaps_api_key'); ?>" />
  <?php
}

function sonax_display_locations_map_notification_option() {
  //php code to take input from text field for youtube URL.
  ?>
    <textarea style="min-width: 400px; min-height: 200px;" name="sonax_locations_map_notification" id="sonax_locations_map_notification"><?php echo get_option('sonax_locations_map_notification'); ?></textarea>
  <?php
}

function sonax_display_shop_delivery_label_option() {
  //php code to take input from text field for twitter URL.
  ?>
    <input style="min-width: 400px;" type="text" name="sonax_shop_delivery_label" id="sonax_shop_delivery_label" value="<?php echo get_option('sonax_shop_delivery_label'); ?>" />
  <?php
}

function sonax_display_shop_backorder_label_option() {
  //php code to take input from text field for twitter URL.
  ?>
    <input style="min-width: 400px;" type="text" name="sonax_shop_backorder_label" id="sonax_shop_backorder_label" value="<?php echo get_option('sonax_shop_backorder_label'); ?>" />
  <?php
}

function sonax_display_shop_enabled_option() {

  $footer_options = get_option( 'sonax_shop_enabled' );

  ?>
    <fieldset>
      <legend class="screen-reader-text">
        <span>Enable shop</span>
      </legend>
      <label for="sonax_shop_enabled">
        <input name="sonax_shop_enabled" type="checkbox" id="sonax_shop_enabled" <?php echo checked( 1, $footer_options, false ); ?> value="1">
        Enable shop
      </label>
    </fieldset>
  <?php
}

function sonax_display_footertype_option() {

  $footer_options = get_option( 'sonax_footer_large' );

  ?>
    <fieldset>
      <legend class="screen-reader-text">
        <span>Use large variant of footer</span>
      </legend>
      <label for="users_can_register">
        <input name="sonax_footer_large" type="checkbox" id="sonax_footer_large" <?php echo checked( 1, $footer_options, false ); ?> value="1">
        Use large variant of footer
      </label>
    </fieldset>
  <?php
}

function sonax_display_font_licensed_option() {

  $font_licensed_option = get_option( 'sonax_font_licensed' );

  ?>
    <fieldset>
      <legend class="screen-reader-text">
        <span>Agree and enable licensed Sonax font</span>
      </legend>
      <label for="font_licensed">
        <input name="sonax_font_licensed" type="checkbox" id="font_licensed" <?php echo checked( 1, $font_licensed_option, false ); ?> value="1">
        Agree and enable licensed Sonax font
      </label>
    </fieldset>
  <?php
}


function sonax_theme_option_page() {
?>
  <div class="wrap">
    <h1><?php echo __('Sonax Theme Settings', 'sonax') ?></h1>
    <form method="POST" action="options.php">
    <?php
      // display settings field on theme-option page
      settings_fields("sonax-theme-options-group");
      // display all sections for sonax-theme-options page
      do_settings_sections("sonax-theme-options");
      submit_button();
    ?>
    </form>
  </div>

  

<?php
}

function add_theme_menu_item() {
  add_menu_page("Sonax Theme", "Sonax Theme", "manage_options", "sonax-theme-options", "sonax_theme_option_page", null, 40);
}
add_action("admin_menu", "add_theme_menu_item");

function add_theme_menu_subitem () {
  add_submenu_page("sonax-theme-options", "Settings", "Settings", "manage_options", "sonax-theme-options", "sonax_theme_option_page", null, 40);
}

add_action("admin_menu", "add_theme_menu_subitem");


function social_section_description(){
  echo '<p>' . __('Add your social media profile links here to show them in the footer.', 'sonax') . '</p>';
}

function gmaps_section_description(){
  echo '<p>' . __('Add your google maps api key here to provide map functionalities in the frontend.', 'sonax') . '</p>';
}

function locations_map_section_description(){
  echo '<p>' . __('Add a notification above all location maps in the frontend.', 'sonax') . '</p>';
}

function appearance_section_description() {
  echo '<p>' . __('Change the general appearance of the frontend.', 'sonax') . '</p>';
}

function font_licensed_section_description() {

    $license_html = file_get_contents(get_template_directory() . '/assets/font-license.html');

    $markup = '<p>' . __('By enabling this option <strong>you agree to the following terms and conditions</strong>:', 'sonax') . '</p>';
    $markup .= '<small style="display: block; max-height: 200px; overflow-y: scroll; overflow-x: hidden; padding: 0px 20px; background: white;">' . $license_html . '</small>';
    echo $markup;
}

function shop_settings_section_description() {
  echo '<p>' . __('Change shop related settings.', 'sonax') . '</p>';
}

// Checkbox render callback
// function options_callback(){
//   $options = get_option( 'first_field_option' );
//   echo '<input name="first_field_option" id="first_field_option" type="checkbox" value="1" class="code" ' . checked( 1, $options, false ) . ' /> Check for enabling custom help text.';
// }

function sonax_theme_settings(){
  
  // Example how to add checkbox here
  // add_option('first_field_option',1);// add theme option to database
  // register_setting( 'sonax-theme-options-group', 'first_field_option');
  // add_settings_field('first_field_option','Test Settings Field','options_callback', 'sonax-theme-options','first_section');//add settings field to the “first_section”
  add_settings_section( 'sonax-appearance-settings-section', 'Appearance', 'appearance_section_description', 'sonax-theme-options');
  add_settings_section( 'sonax-font-licensing-settings-section', 'Font Licensing', 'font_licensed_section_description', 'sonax-theme-options');
  add_settings_section( 'sonax-social-settings-section', 'Social Links', 'social_section_description', 'sonax-theme-options');
  add_settings_section( 'sonax-gmaps-settings-section', 'Google Maps', 'gmaps_section_description', 'sonax-theme-options');
  add_settings_section( 'sonax-locations-map-settings-section', 'Locations Map', 'locations_map_section_description', 'sonax-theme-options');
  add_settings_section( 'sonax-shop-settings-section', 'Shop', 'shop_settings_section_description', 'sonax-theme-options');

  // Twitter
  add_settings_field('twitter_url', 'X (Twitter) Profile Url', 'sonax_display_twitter_option', 'sonax-theme-options', 'sonax-social-settings-section');
  register_setting( 'sonax-theme-options-group', 'sonax_twitter_url');
  
  // Facebook
  add_settings_field('facebook_url', 'Facebook Profile Url', 'sonax_display_facebook_option', 'sonax-theme-options', 'sonax-social-settings-section');
  register_setting( 'sonax-theme-options-group', 'sonax_facebook_url');
  
  // Youtube
  add_settings_field('youtube_url', 'YouTube Profile Url', 'sonax_display_youtube_option', 'sonax-theme-options', 'sonax-social-settings-section');
  register_setting( 'sonax-theme-options-group', 'sonax_youtube_url');
  
  // Instagram
  add_settings_field('instagram_url', 'Instagram Profile Url', 'sonax_display_instagram_option', 'sonax-theme-options', 'sonax-social-settings-section');
  register_setting( 'sonax-theme-options-group', 'sonax_instagram_url');

  // Tiktok
  add_settings_field('tiktok_url', 'Tiktok  Profile Url', 'sonax_display_tiktok_option', 'sonax-theme-options', 'sonax-social-settings-section');
  register_setting( 'sonax-theme-options-group', 'sonax_tiktok_url');

  // Linkedin
  add_settings_field('linkedin_url', 'LinkedIn  Profile Url', 'sonax_display_linkedin_option', 'sonax-theme-options', 'sonax-social-settings-section');
  register_setting( 'sonax-theme-options-group', 'sonax_linkedin_url');

  // Gmaps
  add_settings_field('gmaps_api_key', 'Google Maps API Key', 'sonax_display_gmaps_api_key_option', 'sonax-theme-options', 'sonax-gmaps-settings-section');
  register_setting( 'sonax-theme-options-group', 'sonax_gmaps_api_key');
  
  // Locations Map
  add_settings_field('locations_map_notification', 'Notification Text', 'sonax_display_locations_map_notification_option', 'sonax-theme-options', 'sonax-locations-map-settings-section');
  register_setting( 'sonax-theme-options-group', 'sonax_locations_map_notification');
  
  // Footer
  add_settings_field('footertype', 'Footer', 'sonax_display_footertype_option', 'sonax-theme-options', 'sonax-appearance-settings-section');
  register_setting( 'sonax-theme-options-group', 'sonax_footer_large');
  
  // Font Licensing
  add_settings_field('font_licensed', 'Enable Licensed Font', 'sonax_display_font_licensed_option', 'sonax-theme-options', 'sonax-font-licensing-settings-section');
  register_setting( 'sonax-theme-options-group', 'sonax_font_licensed');

  // Shop Delivery
//   add_settings_field('shop_delivery_label', 'Shop delivery label', 'sonax_display_shop_delivery_label_option', 'sonax-theme-options', 'sonax-shop-settings-section');
//   register_setting( 'sonax-theme-options-group', 'sonax_shop_delivery_label');
  
  // Shop Backorder
//   add_settings_field('shop_backorder_label', 'Shop backorder label', 'sonax_display_shop_backorder_label_option', 'sonax-theme-options', 'sonax-shop-settings-section');
//   register_setting( 'sonax-theme-options-group', 'sonax_shop_backorder_label');
  
  // Shop Enabled
  add_settings_field('shop_enabled_label', 'Shop enabled', 'sonax_display_shop_enabled_option', 'sonax-theme-options', 'sonax-shop-settings-section');
  register_setting( 'sonax-theme-options-group', 'sonax_shop_enabled');
}
add_action('admin_init','sonax_theme_settings');
